Bug 8600 - cldap doesn't work over ipv6
cldap doesn't work over ipv6
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Winbind
3.6.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8595
  Show dependency treegraph
 
Reported: 2011-11-11 01:45 UTC by Stefan Metzmacher
Modified: 2011-11-16 19:37 UTC (History)
2 users (show)

See Also:


Attachments
Patches for v3-6-test (2.73 KB, patch)
2011-11-11 01:45 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2011-11-11 01:45:31 UTC
Created attachment 7088 [details]
Patches for v3-6-test

cldap_socket_init() calls tdgram_inet_udp_socket() with invalid arguments,
the local address is forced to ipv4, also if the remote address is ipv6.
Comment 1 Jeremy Allison 2011-11-14 23:58:05 UTC
Comment on attachment 7088 [details]
Patches for v3-6-test

I know gd was supposed to review this - but I'm doing it instead :-).

Needs to be in 3.6.2.

Jeremy.
Comment 2 Jeremy Allison 2011-11-14 23:58:26 UTC
Re-assigning to Karolin for inclusion in 3.6.2.

Jeremy.
Comment 3 Karolin Seeger 2011-11-16 19:37:00 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!